tell application "pro Fit 6.1.4"
	make new table
	set myTable to window 1
	select all
	paste
	
	do script "SetColumnProperties(col 1, format shortDateFormat, width 0, type dateColumn, relTimeFormat 0, dataLoss askForStop);"
	set n to (nrCols of myTable)
	set yList to {}
	repeat with i from 2 to n
		set z to value of cells 1 of columns i of myTable as text
		if z is " NAN(000)" then exit repeat
		set yList to yList & i
	end repeat
	
	plot data of myTable xAxisColumn 1 yAxisColumn yList with new window and new graph
	select all
	copy
	close window 1 saving no
	close myTable saving no
end tell
